import { SwitchOrgCode } from '/@/api/sys/user';
import { AccountInfo } from '/@/api/tigerapi/model/systemModel';
import { FormSchema } from '/@/components/Table';
import { useUserStore } from '/@/store/modules/user';

export const appFormDept: FormSchema[] = [
  {
    field: 'dept',
    label: '',
    component: 'TreeSelect',
    componentProps: {
      fieldNames: {
        label: 'deptName',
        key: 'id',
        value: 'deptCode',
      },
      placeholder: '请选择据点',
      getPopupContainer: () => document.body,
      onChange: async(e) => {
        var userInfo=useUserStore().getToken
        var org=useUserStore().getUserInfo.orgCode as string
        var res=await SwitchOrgCode(userInfo,e)
        if(org != e){
          location.reload()
        }
      },
    },
    // required: true,
  },
];

